program magic_sequence;

var
  i, n: longint;

begin
{  assign(input, 'input.txt');
  reset(input);
  assign(output, 'output.txt');
  rewrite(output);}

  read(n);
  for i := 1 to n-2 do
    write('1 ');
  writeln('2 ', n);

  close(input);
  close(output);
end.
